# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""WS-717-event_type-to-type

Revision ID: 0b12fe010462
Revises: c3f9f47e7b4f
Create Date: 2021-10-14 09:01:20.489815

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "0b12fe010462"
down_revision = "c3f9f47e7b4f"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("update capability_state_transitions set pattern = replace(pattern, 'event_type', 'type')")


def downgrade():
    op.execute("update capability_state_transitions set pattern = replace(pattern, 'type', 'event_type')")
