/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
export class Project {
  abstract: string;
  access_estsize: number;
  cal_status: string;
  coIs: Array<string>;
  data_rights: string;
  dataproduct_type: string;
  eb_id: number;
  filegroup_id: string;
  gousId: any;
  id: string;
  instrument_name: string;
  intents: Array<string>;
  legacy_id: string;
  mousId: any;
  n_execution_blocks: number;
  obs_band: Array<string>;
  obs_id: string;
  obs_start: Date;
  obs_stop: Date;
  pi: string;
  proj_start: Date;
  proj_stop: Date;
  project_code: string;
  sci_prod_locator: string;
  sousId: any;
  title: string;
}
